package com.jay.monitor.data.server.models.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

/**
 * jay_monitor_mq_log
 * @author 
 */
public class JayMonitorMqLog implements Serializable {

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 监控来源编号
     */
    private Integer monitorId;

    /**
     * 根日志编号
     */
    private String rootLogId;

    /**
     * 上级日志编号
     */
    private String parentLogId;

    /**
     * 日志编号
     */
    private String logId;

    /**
     * 日志文本
     */
    private String logText;

    /**
     * 创建日期
     */
    private Date createDate;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMonitorId() {
        return monitorId;
    }

    public void setMonitorId(Integer monitorId) {
        this.monitorId = monitorId;
    }

    public String getRootLogId() {
        return rootLogId;
    }

    public void setRootLogId(String rootLogId) {
        this.rootLogId = rootLogId;
    }

    public String getParentLogId() {
        return parentLogId;
    }

    public void setParentLogId(String parentLogId) {
        this.parentLogId = parentLogId;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public String getLogText() {
        return logText;
    }

    public void setLogText(String logText) {
        this.logText = logText;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}