package com.jay.monitor.data.server.models.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class JayMonitorMqLogExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public JayMonitorMqLogExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andMonitorIdIsNull() {
            addCriterion("monitor_id is null");
            return (Criteria) this;
        }

        public Criteria andMonitorIdIsNotNull() {
            addCriterion("monitor_id is not null");
            return (Criteria) this;
        }

        public Criteria andMonitorIdEqualTo(Integer value) {
            addCriterion("monitor_id =", value, "monitorId");
            return (Criteria) this;
        }

        public Criteria andMonitorIdNotEqualTo(Integer value) {
            addCriterion("monitor_id <>", value, "monitorId");
            return (Criteria) this;
        }

        public Criteria andMonitorIdGreaterThan(Integer value) {
            addCriterion("monitor_id >", value, "monitorId");
            return (Criteria) this;
        }

        public Criteria andMonitorIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("monitor_id >=", value, "monitorId");
            return (Criteria) this;
        }

        public Criteria andMonitorIdLessThan(Integer value) {
            addCriterion("monitor_id <", value, "monitorId");
            return (Criteria) this;
        }

        public Criteria andMonitorIdLessThanOrEqualTo(Integer value) {
            addCriterion("monitor_id <=", value, "monitorId");
            return (Criteria) this;
        }

        public Criteria andMonitorIdIn(List<Integer> values) {
            addCriterion("monitor_id in", values, "monitorId");
            return (Criteria) this;
        }

        public Criteria andMonitorIdNotIn(List<Integer> values) {
            addCriterion("monitor_id not in", values, "monitorId");
            return (Criteria) this;
        }

        public Criteria andMonitorIdBetween(Integer value1, Integer value2) {
            addCriterion("monitor_id between", value1, value2, "monitorId");
            return (Criteria) this;
        }

        public Criteria andMonitorIdNotBetween(Integer value1, Integer value2) {
            addCriterion("monitor_id not between", value1, value2, "monitorId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdIsNull() {
            addCriterion("root_log_id is null");
            return (Criteria) this;
        }

        public Criteria andRootLogIdIsNotNull() {
            addCriterion("root_log_id is not null");
            return (Criteria) this;
        }

        public Criteria andRootLogIdEqualTo(String value) {
            addCriterion("root_log_id =", value, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdNotEqualTo(String value) {
            addCriterion("root_log_id <>", value, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdGreaterThan(String value) {
            addCriterion("root_log_id >", value, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdGreaterThanOrEqualTo(String value) {
            addCriterion("root_log_id >=", value, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdLessThan(String value) {
            addCriterion("root_log_id <", value, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdLessThanOrEqualTo(String value) {
            addCriterion("root_log_id <=", value, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdLike(String value) {
            addCriterion("root_log_id like", value, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdNotLike(String value) {
            addCriterion("root_log_id not like", value, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdIn(List<String> values) {
            addCriterion("root_log_id in", values, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdNotIn(List<String> values) {
            addCriterion("root_log_id not in", values, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdBetween(String value1, String value2) {
            addCriterion("root_log_id between", value1, value2, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andRootLogIdNotBetween(String value1, String value2) {
            addCriterion("root_log_id not between", value1, value2, "rootLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdIsNull() {
            addCriterion("parent_log_id is null");
            return (Criteria) this;
        }

        public Criteria andParentLogIdIsNotNull() {
            addCriterion("parent_log_id is not null");
            return (Criteria) this;
        }

        public Criteria andParentLogIdEqualTo(String value) {
            addCriterion("parent_log_id =", value, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdNotEqualTo(String value) {
            addCriterion("parent_log_id <>", value, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdGreaterThan(String value) {
            addCriterion("parent_log_id >", value, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdGreaterThanOrEqualTo(String value) {
            addCriterion("parent_log_id >=", value, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdLessThan(String value) {
            addCriterion("parent_log_id <", value, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdLessThanOrEqualTo(String value) {
            addCriterion("parent_log_id <=", value, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdLike(String value) {
            addCriterion("parent_log_id like", value, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdNotLike(String value) {
            addCriterion("parent_log_id not like", value, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdIn(List<String> values) {
            addCriterion("parent_log_id in", values, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdNotIn(List<String> values) {
            addCriterion("parent_log_id not in", values, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdBetween(String value1, String value2) {
            addCriterion("parent_log_id between", value1, value2, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andParentLogIdNotBetween(String value1, String value2) {
            addCriterion("parent_log_id not between", value1, value2, "parentLogId");
            return (Criteria) this;
        }

        public Criteria andLogIdIsNull() {
            addCriterion("log_id is null");
            return (Criteria) this;
        }

        public Criteria andLogIdIsNotNull() {
            addCriterion("log_id is not null");
            return (Criteria) this;
        }

        public Criteria andLogIdEqualTo(String value) {
            addCriterion("log_id =", value, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdNotEqualTo(String value) {
            addCriterion("log_id <>", value, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdGreaterThan(String value) {
            addCriterion("log_id >", value, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdGreaterThanOrEqualTo(String value) {
            addCriterion("log_id >=", value, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdLessThan(String value) {
            addCriterion("log_id <", value, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdLessThanOrEqualTo(String value) {
            addCriterion("log_id <=", value, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdLike(String value) {
            addCriterion("log_id like", value, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdNotLike(String value) {
            addCriterion("log_id not like", value, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdIn(List<String> values) {
            addCriterion("log_id in", values, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdNotIn(List<String> values) {
            addCriterion("log_id not in", values, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdBetween(String value1, String value2) {
            addCriterion("log_id between", value1, value2, "logId");
            return (Criteria) this;
        }

        public Criteria andLogIdNotBetween(String value1, String value2) {
            addCriterion("log_id not between", value1, value2, "logId");
            return (Criteria) this;
        }

        public Criteria andLogTextIsNull() {
            addCriterion("log_text is null");
            return (Criteria) this;
        }

        public Criteria andLogTextIsNotNull() {
            addCriterion("log_text is not null");
            return (Criteria) this;
        }

        public Criteria andLogTextEqualTo(String value) {
            addCriterion("log_text =", value, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextNotEqualTo(String value) {
            addCriterion("log_text <>", value, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextGreaterThan(String value) {
            addCriterion("log_text >", value, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextGreaterThanOrEqualTo(String value) {
            addCriterion("log_text >=", value, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextLessThan(String value) {
            addCriterion("log_text <", value, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextLessThanOrEqualTo(String value) {
            addCriterion("log_text <=", value, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextLike(String value) {
            addCriterion("log_text like", value, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextNotLike(String value) {
            addCriterion("log_text not like", value, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextIn(List<String> values) {
            addCriterion("log_text in", values, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextNotIn(List<String> values) {
            addCriterion("log_text not in", values, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextBetween(String value1, String value2) {
            addCriterion("log_text between", value1, value2, "logText");
            return (Criteria) this;
        }

        public Criteria andLogTextNotBetween(String value1, String value2) {
            addCriterion("log_text not between", value1, value2, "logText");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("create_date is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("create_date is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterionForJDBCDate("create_date =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("create_date <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterionForJDBCDate("create_date >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("create_date >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterionForJDBCDate("create_date <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("create_date <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterionForJDBCDate("create_date in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("create_date not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("create_date between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("create_date not between", value1, value2, "createDate");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}